%define name	qps
%define ver	1.9.5
%define rel	1mdk

Summary: A visual process manager
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: Monitoring
Source: ftp://ptah.lnf.kth.se/pub/qps/qps-%{ver}.tar.bz2
Patch: qps-Makefile.patch.bz2
URL: http://www.student.nada.kth.se/~f91-men/qps/
BuildRoot: /tmp/%{name}-root
BuildRequires: mosix-utils
Docdir: /usr/doc

%description
Qps is a visual process manager, an X11 version of "top" or "ps"
that displays processes in a window and lets you sort and manipulate
them. MOSIX support.

%prep
%setup
%patch

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -s -m 755 qps $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 qps.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
#menu support
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 small-qps.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/qps.xpm
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat > $RPM_BUILD_ROOT/usr/lib/menu/qps << EOF
?package(%{name}): needs=x11 section="Applications/Monitoring" longtitle="Visual process manager" title=Qps command=/usr/X11R6/bin/qps icon="qps.xpm"
EOF

%post
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/qps
/usr/X11R6/man/man1/qps.1*
%doc CHANGES COPYING README
/usr/share/icons/mini/qps.xpm
/usr/lib/menu/qps

%changelog
* Fri Apr 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.9.5-1mdk
- 1.9.5

* Tue Aug 17 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- Updated to qps 1.8.1
- Added Vendor tag
- Removed "-o 0 -g 0" from install statements
- Changed qps-Makefile.patch to work with both Turbo Linux and RedHat 6.0
* Tue Aug 03 1999 James Blanding <blanding@bcilinux.com>
- update to qps 1.8
* Fri Jul 30 1999 James Blanding <blanding@bcilinux.com>
- update to qps 1.7
- slight Makefile change to work w/ qt rpms from turbolniux/redhat
  (see qps-Makefile.patch)
* Thu Jan 14 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- update to qps 1.6
* Mon Jan 04 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- first build
